<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.FB ID="0">
    <AttributeList>
      <AutoNumber>false</AutoNumber>
      <HeaderAuthor>IBAE</HeaderAuthor>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Input" />
  <Section Name="Output" />
  <Section Name="InOut" />
  <Section Name="Static">
    <Member Name="SearchDaten" Datatype="&quot;UTrolley&quot;">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="OutDaten" Datatype="&quot;UTrolley&quot;">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="Leerfeld" Datatype="&quot;UTrolley&quot;">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="Daten_Speichern" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Aktuelle Daten übernehmen</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Errors" Datatype="Struct">
      <Member Name="Datenbank" Datatype="Bool">
        <Comment>
          <MultiLanguageText Lang="de-DE">Kein Datenlistenbereich / falscher Kopfinhalt / Endekennung</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="SFC20" Datatype="Bool">
        <Comment>
          <MultiLanguageText Lang="de-DE">SFC20-Aufruf mit Fehler</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Listenende" Datatype="Bool">
        <Comment>
          <MultiLanguageText Lang="de-DE">Listenende ist erreicht</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Parameter" Datatype="Bool">
        <Comment>
          <MultiLanguageText Lang="de-DE">Falscher Parameter bei Aufruf</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Stammdaten" Datatype="Bool">
        <Comment>
          <MultiLanguageText Lang="de-DE">Undefinierte Stammdaten zum Suchen</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Outdaten" Datatype="Bool">
        <Comment>
          <MultiLanguageText Lang="de-DE">Undefinierte OUT-Daten</MultiLanguageText>
        </Comment>
      </Member>
    </Member>
    <Member Name="Ergebnis" Datatype="Struct">
      <Member Name="Keine Abfrage" Datatype="Bool">
        <Comment>
          <MultiLanguageText Lang="de-DE">Keine Abfrage vorhanden</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Falsche_Abfrage" Datatype="Bool">
        <Comment>
          <MultiLanguageText Lang="de-DE">Falsche / nicht eindeutige Abfrage</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Keine Daten" Datatype="Bool">
        <Comment>
          <MultiLanguageText Lang="de-DE">Datensatz ist nicht vorhanden</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Daten_vorhanden" Datatype="Bool">
        <Comment>
          <MultiLanguageText Lang="de-DE">Datensatz ist vorhanden</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Abruf_erfolgt" Datatype="Bool">
        <Comment>
          <MultiLanguageText Lang="de-DE">Abruf einmalig ausgeführt</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Eintrag_erfolgt" Datatype="Bool">
        <Comment>
          <MultiLanguageText Lang="de-DE">Speicherung ist erfolgt</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Position" Datatype="Int" />
      <Member Name="TrolleyID" Datatype="DInt">
        <AttributeList>
          <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
          <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
          <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
        </AttributeList>
      </Member>
      <Member Name="ShopGroup" Datatype="DInt">
        <AttributeList>
          <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
          <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
          <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
        </AttributeList>
      </Member>
    </Member>
    <Member Name="RET_VAL_BLKMOV" Datatype="Int" />
  </Section>
  <Section Name="Temp">
    <Member Name="Quelle" Datatype="Any">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zeiger, wo Quell-Daten sind</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Ziel" Datatype="Any">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zeiger, wo Ziel-Daten sind</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Error" Datatype="Byte" />
    <Member Name="Abfragen" Datatype="Struct">
      <Member Name="TrolleyID" Datatype="Bool" />
      <Member Name="ShopGroup" Datatype="Bool" />
    </Member>
    <Member Name="Lager" Datatype="Int" />
    <Member Name="Lager_DB" Datatype="Int" />
    <Member Name="Lager_DW" Datatype="Int" />
    <Member Name="AR1Zeiger" Datatype="DWord">
      <Comment>
        <MultiLanguageText Lang="de-DE">Statt AR1 (ging nur bis DB-Länge &lt;= 8191 Bytes)</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="AR1Start" Datatype="DInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">Startwert mit Offset 0</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="ErrorBit" Datatype="Bool" />
  </Section>
  <Section Name="Constant" />
</Sections></Interface>
      <MemoryLayout>Standard</MemoryLayout>
      <Name>Visu_CheckTrolley</Name>
      <Namespace />
      <Number>158</Number>
      <ProgrammingLanguage>STL</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <SW.Blocks.CompileUnit ID="5" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="21">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>0</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="22">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Error" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="30">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="26">
    <StlToken Text="SET" />
  </StlStatement>
  <StlStatement UId="27">
    <StlToken Text="R" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="Abruf_erfolgt" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="25">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="6" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="7" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="8" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="9" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="A" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="B" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="C" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Initialisieren</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="D" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="E" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="21">
    <StlToken Text="AN" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="Daten_vorhanden" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="22">
    <StlToken Text="R" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Daten_Speichern" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="27">
    <StlToken Text="R" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="Eintrag_erfolgt" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="49">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="52">
    <StlToken Text="A" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Daten_Speichern" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="55">
    <StlToken Text="R" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Daten_Speichern" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="50">
    <StlToken Text="R" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="Eintrag_erfolgt" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="30">
    <StlToken Text="JCN" />
    <Access Scope="Label">
      <Label Name="Nw3" />
    </Access>
  </StlStatement>
  <StlStatement UId="35">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="36">
    <StlToken Text="CALL" />
    <Access Scope="Call">
      <CallInfo Name="DatenIn" BlockType="FC">
        <Parameter Name="SSDB" Section="Input" Type="Int">
          <Access Scope="LiteralConstant">
            <Constant>
              <ConstantType>Int</ConstantType>
              <ConstantValue>1000</ConstantValue>
            </Constant>
          </Access>
        </Parameter>
        <Parameter Name="SSDW" Section="Input" Type="Int">
          <Access Scope="LiteralConstant">
            <Constant>
              <ConstantType>Int</ConstantType>
              <ConstantValue>0</ConstantValue>
            </Constant>
          </Access>
        </Parameter>
        <Parameter Name="INDATEN" Section="Input" Type="Pointer">
          <Access Scope="LocalVariable">
            <Symbol>
              <Component Name="OutDaten" />
            </Symbol>
          </Access>
        </Parameter>
        <Parameter Name="RE_VAL" Section="Output" Type="Byte">
          <Access Scope="GlobalVariable">
            <Symbol>
              <Component Name="MB198" />
            </Symbol>
          </Access>
        </Parameter>
      </CallInfo>
    </Access>
  </StlStatement>
  <StlStatement UId="28">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="59">
    <StlToken Text="L" />
    <Access Scope="GlobalVariable">
      <Symbol>
        <Component Name="MB198" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="64">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>2#11000000</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="60">
    <StlToken Text="AW" />
  </StlStatement>
  <StlStatement UId="66">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>0</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="68">
    <StlToken Text="NE_I" />
  </StlStatement>
  <StlStatement UId="70">
    <StlToken Text="Assign" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="Eintrag_erfolgt" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="79">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="80">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="OutDaten" />
        <Component Name="TrolleyID" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="78">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="SearchDaten" />
        <Component Name="TrolleyID" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="29">
    <StlToken Text="L" />
    <Access Scope="TypedConstant">
      <Constant>
        <ConstantValue>DINT#0</ConstantValue>
      </Constant>
      <LineComment>
        <Text>Ergebnis neu holen</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="73">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="TrolleyID" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="61">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="SearchDaten" />
        <Component Name="ShopGroup" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="24">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="26">
    <StlToken Text="BEU" />
  </StlStatement>
  <StlStatement UId="34">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="F" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="10" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="11" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="12" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="13" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="14" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="15" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Daten speichern</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="16" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="17" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="21">
    <LabelDeclaration>
      <Label Name="Nw3" />
    </LabelDeclaration>
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="SearchDaten" />
        <Component Name="TrolleyID" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="23">
    <StlToken Text="L" />
    <Access Scope="TypedConstant">
      <Constant>
        <ConstantValue>DINT#0</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="27">
    <StlToken Text="NE_D" />
  </StlStatement>
  <StlStatement UId="30">
    <StlToken Text="Assign" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Abfragen" />
        <Component Name="TrolleyID" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="24">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="28">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="SearchDaten" />
        <Component Name="ShopGroup" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="34">
    <StlToken Text="L" />
    <Access Scope="TypedConstant">
      <Constant>
        <ConstantValue>DINT#0</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="36">
    <StlToken Text="NE_D" />
  </StlStatement>
  <StlStatement UId="37">
    <StlToken Text="Assign" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Abfragen" />
        <Component Name="ShopGroup" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="29">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="41">
    <StlToken Text="A" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Abfragen" />
        <Component Name="TrolleyID" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="43">
    <StlToken Text="AN" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Abfragen" />
        <Component Name="ShopGroup" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="31">
    <StlToken Text="JC" />
    <Access Scope="Label">
      <Label Name="ReadTrolley" />
    </Access>
  </StlStatement>
  <StlStatement UId="32">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="50">
    <StlToken Text="A" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Abfragen" />
        <Component Name="ShopGroup" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="46">
    <StlToken Text="AN" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Abfragen" />
        <Component Name="TrolleyID" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="48">
    <StlToken Text="JC" />
    <Access Scope="Label">
      <Label Name="ReadAbrufID" />
    </Access>
  </StlStatement>
  <StlStatement UId="55">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="56">
    <StlToken Text="JU" />
    <Access Scope="Label">
      <Label Name="Ergebnis" />
    </Access>
  </StlStatement>
  <StlStatement UId="22">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="18" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="19" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1A" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1B" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="1C" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="1D" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1E" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Abfrage vorhanden ?</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1F" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="20" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="23">
    <LineComment>
      <Text>Kennung + Datenbytes</Text>
    </LineComment>
    <StlToken Text="COMMENT" />
  </StlStatement>
  <StlStatement UId="28">
    <LabelDeclaration>
      <Label Name="DEL" />
    </LabelDeclaration>
    <StlToken Text="L" />
    <Access Scope="TypedConstant">
      <Constant>
        <ConstantValue>DINT#0</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="100">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="TrolleyID" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="97">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="ShopGroup" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="98">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="25">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>16#1004</ConstantValue>
      </Constant>
      <LineComment>
        <Text>Kennung 10 + Word=04</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="29">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="Word" BitOffset="0" />
    </Access>
  </StlStatement>
  <StlStatement UId="31">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="Word" BitOffset="80" />
      <LineComment>
        <Text>Any-Kennung, Datentyp</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="34">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>10</ConstantValue>
      </Constant>
      <LineComment>
        <Text>Datenwords speichern</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="37">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="Word" BitOffset="16" />
    </Access>
  </StlStatement>
  <StlStatement UId="39">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="Word" BitOffset="96" />
      <LineComment>
        <Text>Wiederholungen</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="42">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="43">
    <LineComment>
      <Text>Quelle-Pointer erzeugen: (Leerfeld)</Text>
    </LineComment>
    <StlToken Text="COMMENT" />
  </StlStatement>
  <StlStatement UId="45">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>158</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="47">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="Word" BitOffset="32" />
      <LineComment>
        <Text>DB_Nummer</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="50">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>40</ConstantValue>
      </Constant>
      <LineComment>
        <Text>Adresse</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="53">
    <StlToken Text="SLD" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>3</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="55">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>DWord</ConstantType>
        <ConstantValue>16#8400_0000</ConstantValue>
      </Constant>
      <LineComment>
        <Text>Kennung: Daten</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="58">
    <StlToken Text="OD" />
  </StlStatement>
  <StlStatement UId="59">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="DWord" BitOffset="48" />
      <LineComment>
        <Text>Kennung, Adresse</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="62">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="63">
    <LineComment>
      <Text>Ziel-Pointer erzeugen: (Outdaten)</Text>
    </LineComment>
    <StlToken Text="COMMENT" />
  </StlStatement>
  <StlStatement UId="65">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>158</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="67">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="Word" BitOffset="112" />
      <LineComment>
        <Text>DB_Nummer</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="70">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>20</ConstantValue>
      </Constant>
      <LineComment>
        <Text>Adresse</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="73">
    <StlToken Text="SLD" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>3</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="75">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>DWord</ConstantType>
        <ConstantValue>16#8400_0000</ConstantValue>
      </Constant>
      <LineComment>
        <Text>Kennung: Daten</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="78">
    <StlToken Text="OD" />
  </StlStatement>
  <StlStatement UId="79">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="DWord" BitOffset="128" />
      <LineComment>
        <Text>Kennung, Adresse</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="82">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="83">
    <StlToken Text="CALL" />
    <Access Scope="Call">
      <Instruction Name="BLKMOV" Version="1.1">
        <Token Text="," />
        <LineComment>
          <Text>Datenliste-Daten speichern</Text>
        </LineComment>
        <TemplateValue Name="blk_type" Type="Type">Variant</TemplateValue>
        <Parameter Name="SRCBLK">
          <Access Scope="LocalVariable">
            <Symbol>
              <Component Name="Quelle" />
            </Symbol>
          </Access>
        </Parameter>
        <Parameter Name="RET_VAL">
          <Access Scope="LocalVariable">
            <Symbol>
              <Component Name="RET_VAL_BLKMOV" />
            </Symbol>
          </Access>
        </Parameter>
        <Parameter Name="DSTBLK">
          <Access Scope="LocalVariable">
            <Symbol>
              <Component Name="Ziel" />
            </Symbol>
          </Access>
        </Parameter>
      </Instruction>
    </Access>
  </StlStatement>
  <StlStatement UId="21">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="22">
    <StlToken Text="BEU" />
  </StlStatement>
  <StlStatement UId="93">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="21" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="22" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="23" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="24" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="25" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="26" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="27" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Outdaten löschen:</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="28" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="29" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="60">
    <LabelDeclaration>
      <Label Name="ReadTrolley" />
    </LabelDeclaration>
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="SearchDaten" />
        <Component Name="TrolleyID" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="49">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="TrolleyID" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="55">
    <StlToken Text="EQ_D" />
  </StlStatement>
  <StlStatement UId="56">
    <StlToken Text="Assign" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="Abruf_erfolgt" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="58">
    <StlToken Text="BEC" />
  </StlStatement>
  <StlStatement UId="40">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="22">
    <StlToken Text="CALL" />
    <Access Scope="Call">
      <CallInfo Name="DatenOut" BlockType="FC">
        <Parameter Name="SSDB" Section="Input" Type="Int">
          <Access Scope="LiteralConstant">
            <Constant>
              <ConstantType>Int</ConstantType>
              <ConstantValue>1000</ConstantValue>
            </Constant>
          </Access>
        </Parameter>
        <Parameter Name="SSDW" Section="Input" Type="Int">
          <Access Scope="LiteralConstant">
            <Constant>
              <ConstantType>Int</ConstantType>
              <ConstantValue>0</ConstantValue>
            </Constant>
          </Access>
        </Parameter>
        <Parameter Name="PARA" Section="Input" Type="Word">
          <Access Scope="LiteralConstant">
            <Constant>
              <ConstantType>Word</ConstantType>
              <ConstantValue>16#0000</ConstantValue>
            </Constant>
          </Access>
          <LineComment>
            <Text>Eintrag lesen</Text>
          </LineComment>
        </Parameter>
        <Parameter Name="SEARCHDATEN" Section="Input" Type="Pointer">
          <Access Scope="LocalVariable">
            <Symbol>
              <Component Name="SearchDaten" />
            </Symbol>
          </Access>
        </Parameter>
        <Parameter Name="RE_VAL" Section="Output" Type="Byte">
          <Access Scope="LocalVariable">
            <Symbol>
              <Component Name="Error" />
            </Symbol>
          </Access>
        </Parameter>
        <Parameter Name="OUTDATEN" Section="Output" Type="Pointer">
          <Access Scope="LocalVariable">
            <Symbol>
              <Component Name="OutDaten" />
            </Symbol>
          </Access>
        </Parameter>
        <Parameter Name="Position" Section="Output" Type="Int">
          <Access Scope="LocalVariable">
            <Symbol>
              <Component Name="Ergebnis" />
              <Component Name="Position" />
            </Symbol>
          </Access>
        </Parameter>
      </CallInfo>
    </Access>
  </StlStatement>
  <StlStatement UId="39">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="42">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="OutDaten" />
        <Component Name="TrolleyID" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="46">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="TrolleyID" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="41">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="21">
    <StlToken Text="JU" />
    <Access Scope="Label">
      <Label Name="Ergebnis" />
    </Access>
  </StlStatement>
  <StlStatement UId="43">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="2A" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="2B" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="2C" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="2D" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="2E" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="2F" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="30" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Daten von TrolleyID lesen</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="31" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="32" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="44">
    <LabelDeclaration>
      <Label Name="ReadAbrufID" />
    </LabelDeclaration>
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="SearchDaten" />
        <Component Name="ShopGroup" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="23">
    <StlToken Text="T" />
    <Access Scope="GlobalVariable">
      <Symbol>
        <Component Name="MD220" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="39">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="ShopGroup" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="37">
    <StlToken Text="EQ_D" />
  </StlStatement>
  <StlStatement UId="57">
    <StlToken Text="Assign" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="Abruf_erfolgt" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="56">
    <StlToken Text="BEC" />
  </StlStatement>
  <StlStatement UId="43">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="24">
    <StlToken Text="CALL" />
    <Access Scope="Call">
      <CallInfo Name="DatenOut" BlockType="FC">
        <Parameter Name="SSDB" Section="Input" Type="Int">
          <Access Scope="LiteralConstant">
            <Constant>
              <ConstantType>Int</ConstantType>
              <ConstantValue>1000</ConstantValue>
            </Constant>
          </Access>
        </Parameter>
        <Parameter Name="SSDW" Section="Input" Type="Int">
          <Access Scope="LiteralConstant">
            <Constant>
              <ConstantType>Int</ConstantType>
              <ConstantValue>0</ConstantValue>
            </Constant>
          </Access>
        </Parameter>
        <Parameter Name="PARA" Section="Input" Type="Word">
          <Access Scope="LiteralConstant">
            <Constant>
              <ConstantType>Word</ConstantType>
              <ConstantValue>16#0500</ConstantValue>
            </Constant>
          </Access>
          <LineComment>
            <Text>ShopGroup mit 16#0500 suchen !</Text>
          </LineComment>
        </Parameter>
        <Parameter Name="SEARCHDATEN" Section="Input" Type="Pointer">
          <Access Scope="LiteralConstant">
            <Constant>
              <ConstantType>ARef</ConstantType>
              <ConstantValue>P#M220.0</ConstantValue>
            </Constant>
          </Access>
        </Parameter>
        <Parameter Name="RE_VAL" Section="Output" Type="Byte">
          <Access Scope="LocalVariable">
            <Symbol>
              <Component Name="Error" />
            </Symbol>
          </Access>
        </Parameter>
        <Parameter Name="OUTDATEN" Section="Output" Type="Pointer">
          <Access Scope="LocalVariable">
            <Symbol>
              <Component Name="OutDaten" />
            </Symbol>
          </Access>
        </Parameter>
        <Parameter Name="Position" Section="Output" Type="Int">
          <Access Scope="LocalVariable">
            <Symbol>
              <Component Name="Ergebnis" />
              <Component Name="Position" />
            </Symbol>
          </Access>
        </Parameter>
      </CallInfo>
    </Access>
  </StlStatement>
  <StlStatement UId="31">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="32">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="OutDaten" />
        <Component Name="ShopGroup" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="34">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="ShopGroup" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="42">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="33" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="34" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="35" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="36" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="37" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="38" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="39" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Daten von AbrufID lesen</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="3A" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="3B" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="59">
    <LineComment>
      <Text>Errors:</Text>
    </LineComment>
    <StlToken Text="COMMENT" />
  </StlStatement>
  <StlStatement UId="21">
    <LabelDeclaration>
      <Label Name="Ergebnis" />
    </LabelDeclaration>
    <StlToken Text="A" />
    <Access Scope="Address">
      <Address Area="Local" Type="Bool" BitOffset="160" />
    </Access>
  </StlStatement>
  <StlStatement UId="26">
    <StlToken Text="Assign" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Errors" />
        <Component Name="Datenbank" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="28">
    <StlToken Text="A" />
    <Access Scope="Address">
      <Address Area="Local" Type="Bool" BitOffset="161" />
    </Access>
  </StlStatement>
  <StlStatement UId="30">
    <StlToken Text="Assign" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Errors" />
        <Component Name="SFC20" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="31">
    <StlToken Text="A" />
    <Access Scope="Address">
      <Address Area="Local" Type="Bool" BitOffset="162" />
    </Access>
  </StlStatement>
  <StlStatement UId="33">
    <StlToken Text="Assign" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Errors" />
        <Component Name="Listenende" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="34">
    <StlToken Text="A" />
    <Access Scope="Address">
      <Address Area="Local" Type="Bool" BitOffset="163" />
    </Access>
  </StlStatement>
  <StlStatement UId="36">
    <StlToken Text="Assign" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Errors" />
        <Component Name="Parameter" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="37">
    <StlToken Text="A" />
    <Access Scope="Address">
      <Address Area="Local" Type="Bool" BitOffset="164" />
    </Access>
  </StlStatement>
  <StlStatement UId="39">
    <StlToken Text="Assign" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Errors" />
        <Component Name="Stammdaten" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="40">
    <StlToken Text="A" />
    <Access Scope="Address">
      <Address Area="Local" Type="Bool" BitOffset="165" />
    </Access>
  </StlStatement>
  <StlStatement UId="42">
    <StlToken Text="Assign" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Errors" />
        <Component Name="Outdaten" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="55">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="56">
    <LineComment>
      <Text>Ergebnis:</Text>
    </LineComment>
    <StlToken Text="COMMENT" />
  </StlStatement>
  <StlStatement UId="60">
    <StlToken Text="AN" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Abfragen" />
        <Component Name="TrolleyID" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="77">
    <StlToken Text="AN" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Abfragen" />
        <Component Name="ShopGroup" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="74">
    <StlToken Text="Assign" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="Keine Abfrage" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="81">
    <StlToken Text="A" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Abfragen" />
        <Component Name="TrolleyID" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="83">
    <StlToken Text="A" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Abfragen" />
        <Component Name="ShopGroup" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="85">
    <StlToken Text="Assign" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="Falsche_Abfrage" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="43">
    <StlToken Text="A" />
    <Access Scope="Address">
      <Address Area="Local" Type="Bool" BitOffset="166" />
    </Access>
  </StlStatement>
  <StlStatement UId="45">
    <StlToken Text="Assign" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="Keine Daten" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="46">
    <StlToken Text="A" />
    <Access Scope="Address">
      <Address Area="Local" Type="Bool" BitOffset="167" />
    </Access>
  </StlStatement>
  <StlStatement UId="49">
    <StlToken Text="Assign" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="Daten_vorhanden" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="47">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="22">
    <LineComment>
      <Text>Resultat:</Text>
    </LineComment>
    <StlToken Text="COMMENT" />
  </StlStatement>
  <StlStatement UId="65">
    <StlToken Text="AN" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ergebnis" />
        <Component Name="Daten_vorhanden" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="69">
    <StlToken Text="JC" />
    <Access Scope="Label">
      <Label Name="DEL" />
    </Access>
  </StlStatement>
  <StlStatement UId="71">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="3C" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="3D" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="3E" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="3F" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="40" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="41" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="42" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Error / Ergebnis</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="43" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="44" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="729">
    <StlToken Text="BE" />
  </StlStatement>
  <StlStatement UId="730">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="45" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="46" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="47" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="48" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="49" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="4A" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="4B" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Ende</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="4C" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <MultilingualText ID="4D" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="4E" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4F" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text>Trolleydaten aus DB1000 auslesen</Text>
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="50" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.FB>
</Document>